function createTimeout (ms = 600000) {
  let _timeout
  return {
    promise: new Promise((resolve, reject) => {
      _timeout = setTimeout(() => {
        resolve(`Timeout of ${ms}ms has been reached.`)
      }, ms)
    }),
    cancel: () => clearTimeout(_timeout)
  }
}

module.exports = { createTimeout }
